/*		File:	debug.c
		Author: Alex Fedosov
		Date:	October 8, 2000
		Description:	Implementation of debugging tools
*/

#include <stdio.h>
#include "dmzcore.h"

#define MAXSTR 64

void dmz_assert_func(int x, char *file, int line)
{
	char error[MAXSTR];

	if (x == 0)
	{
		sprintf(error, "assertion failed in file %s at line %d", file, line);
		dmz_die(error);
	}

}
