/*	File:	dmzgraph_internal.h
	Author:	Alex Fedosov
	Date:	February 27, 2001
	Description:	alternative graphics library internal header
*/

#define MAX_IMAGES 512

extern int graph_init_done;
/*extern int display_depth;
extern int screen_width;
extern int screen_height;
*/extern int graph_last_error;

#pragma pack(2)		/* adjust structure padding! */

/* bitmap file header */
typedef struct dmz_bitmap_file_header
{
    unsigned short		bfType; 
    unsigned int		bfSize; 
    unsigned short		bfReserved1; 
    unsigned short		bfReserved2; 
    unsigned int		bfOffBits; 
} BITMAPFILEHEADER; 

#pragma pack()

/* bitmap info header */
typedef struct dmz_bitmap_info_header
{
    unsigned int	biSize; 
    long		biWidth; 
    long		biHeight; 
    unsigned short	biPlanes; 
    unsigned short	biBitCount;
    unsigned int	biCompression; 
    unsigned int	biSizeImage; 
    long		biXPelsPerMeter; 
    long		biYPelsPerMeter; 
    unsigned int	biClrUsed; 
    unsigned int	biClrImportant; 
} BITMAPINFOHEADER; 

int get_available_surf(void);
